{
    "swagger": "2.0",
    "info": {
        "version": "v1",
        "title": "ZIA Cloud Service and Sandbox Submission APIs",
        "description": "API Reference Guide for the ZIA Cloud Service and Sandbox Submission APIs\n"
    },
    "host": "zsapi.[zscaler-cloud-name]",
    "basePath": "/api/v1",
    "schemes": [
        "https"
    ],
    "tags": [
        {
            "name": "URL Categories"
        }
    ],
    "paths": {
        "/urlCategories": {
            "get": {
                "tags": [
                    "URL Categories"
                ],
                "description": "<p>Gets information about all or custom URL categories. By default, the response includes keywords.</p>\n",
                "operationId": "getUrlCategory",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "parameters": [
                    {
                        "name": "customOnly",
                        "in": "query",
                        "description": "If set to true, gets information on custom URL categories only.",
                        "required": false,
                        "type": "boolean"
                    },
                    {
                        "name": "includeOnlyUrlKeywordCounts",
                        "in": "query",
                        "description": "By default this parameter is set to false, so the response includes URLs and keywords for custom URL categories only. If set to true, the response only includes URL and keyword counts.",
                        "required": false,
                        "type": "boolean",
                        "default": false
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/UrlCategoryInformation"
                            }
                        }
                    }
                }
            },
            "post": {
                "tags": [
                    "URL Categories"
                ],
                "description": "<p>Adds a new custom URL category. If keywords are included within the request, they are added to the new category.</p>\n",
                "operationId": "addCustomCategory",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "parameters": [
                    {
                        "in": "body",
                        "name": "customCategory",
                        "description": "Custom URL category information.",
                        "required": false,
                        "schema": {
                            "$ref": "#/definitions/UrlCategoryInformation"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "schema": {
                            "$ref": "#/definitions/UrlCategoryInformation"
                        }
                    }
                }
            }
        },
        "/urlCategories/lite": {
            "get": {
                "tags": [
                    "URL Categories"
                ],
                "description": "<p>Gets a lightweight key-value list of all or custom URL categories.</p>\n",
                "operationId": "getLiteUrlCategories",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/UrlCategoryInformation"
                            }
                        }
                    }
                }
            }
        },
        "/urlCategories/review/domains": {
            "post": {
                "tags": [
                    "URL Categories"
                ],
                "description": "<p>For the specified list of URLs, finds matching entries present in existing custom URL categories. This endpoint allows you to review URLs for potential matches in existing categories to group-related entries in a single category.</p><p>The URLs specified are matched against the entries present in <code>urls</code> (referred as Custom URLs in the UI) and <code>dbCategorizedUrls</code> (referred as URLs Retaining Parent Category in the UI) fields of custom URL categories. The matches are returned only for URLs of Subdomain type that match with existing wildcard entries and not vice versa. The only exception is when a wildcard URL is matched against another wildcard entry, but the former is identified as a subdomain in relation to the wildcard match. For example, if a URL such as <code>.teams.microsoft.com</code> matches with <code>.microsoft.com</code>, the <code>.teams.microsoft.com</code> entry in this case is regarded as a subdomain in relation to the match found and is returned as part of the API response. However, if <code>.teams.microsoft.com</code> matches with <code>teams.microsoft.com</code>, this becomes a wildcard match against a subdomain and is discarded in the response.</p><p><b>Note</b>: A maximum of 100 URLs can be sent in a request.</p><p>The matches found through this request can be added to the required custom URL categories using the <code>PUT /urlCategories/review/domains</code> request.</p>",
                "operationId": "UrlCategoryResource_getCategoriesWithMatchingDomains",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "parameters": [
                    {
                        "in": "body",
                        "name": "body",
                        "description": "The list of URLs that must be matched against the entries present in existing custom URL categories",
                        "required": true,
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "string"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/UrlDomainReview"
                            }
                        }
                    }
                }
            },
            "put": {
                "tags": [
                    "URL Categories"
                ],
                "description": "<p>Adds the list of matching URLs fetched by <code>POST /urlCategories/review/domains</code> to the specified custom URL categories. The URL specified is added to either <code>urls</code> (referred to as Custom URLs in the UI) or <code>dbCategorizedUrls</code> (referred to as URLs Retaining Parent Category in the UI) fields of the custom category based on the following condition: If the matching URL is present in the <code>dbCategorizedUrls</code> field, the new entry is added to this field. Otherwise, it is added to the <code>urls</code> field.<p><b>Note</b>:</p><ul><li>A maximum of 100 URL categories can be updated at once using this request.</li><li>Only URLs that are of Subdomain type can be added to custom categories via this request. Wildcard matches cannot be added. To learn more, see the description for <code>POST /urlCategories/review/domains</code>.</li></ul>",
                "operationId": "UrlCategoryResource_updateCategoriesWithMatchingDomains",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "parameters": [
                    {
                        "in": "body",
                        "name": "body",
                        "description": "<p>Information about the URLs (of Subdomain type) and the respective custom categories to which they must be added. This information can be obtained from the response of POST <code>/urlCategories/review/domains</code></p>.",
                        "required": true,
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/UrlDomainReview"
                            }
                        }
                    }
                ],
                "responses": {
                    "default": {
                        "description": "Successful Operation"
                    }
                }
            }
        },
        "/urlCategories/urlQuota": {
            "get": {
                "tags": [
                    "URL Categories"
                ],
                "description": "<p>Gets information on the number of unique URLs that are currently provisioned for your organization as well as how many URLs you can add before reaching that number.</p>\n",
                "operationId": "getUrlQuota",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "schema": {
                            "$ref": "#/definitions/UrlsQuotaDOM"
                        }
                    }
                }
            }
        },
        "/urlCategories/{categoryId}": {
            "get": {
                "tags": [
                    "URL Categories"
                ],
                "description": "<p>Gets the URL category information for the specified ID.</p>\n",
                "operationId": "getUrlCategories",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "parameters": [
                    {
                        "name": "categoryId",
                        "in": "path",
                        "description": "The unique identifier for the URL category.",
                        "required": true,
                        "type": "string",
                        "enum": [
                            "ANY",
                            "NONE",
                            "OTHER_ADULT_MATERIAL",
                            "ADULT_THEMES",
                            "LINGERIE_BIKINI",
                            "NUDITY",
                            "PORNOGRAPHY",
                            "SEXUALITY",
                            "ADULT_SEX_EDUCATION",
                            "K_12_SEX_EDUCATION",
                            "SOCIAL_ADULT",
                            "OTHER_BUSINESS_AND_ECONOMY",
                            "CORPORATE_MARKETING",
                            "FINANCE",
                            "PROFESSIONAL_SERVICES",
                            "CLASSIFIEDS",
                            "TRADING_BROKARAGE_INSURANCE",
                            "CUSTOM_00",
                            "CUSTOM_01",
                            "CUSTOM_02",
                            "CUSTOM_03",
                            "CUSTOM_04",
                            "CUSTOM_05",
                            "CUSTOM_06",
                            "CUSTOM_07",
                            "CUSTOM_08",
                            "CUSTOM_09",
                            "CUSTOM_10",
                            "CUSTOM_11",
                            "CUSTOM_12",
                            "CUSTOM_13",
                            "CUSTOM_14",
                            "CUSTOM_15",
                            "CUSTOM_16",
                            "CUSTOM_17",
                            "CUSTOM_18",
                            "CUSTOM_19",
                            "CUSTOM_20",
                            "CUSTOM_21",
                            "CUSTOM_22",
                            "CUSTOM_23",
                            "CUSTOM_24",
                            "CUSTOM_25",
                            "CUSTOM_26",
                            "CUSTOM_27",
                            "CUSTOM_28",
                            "CUSTOM_29",
                            "CUSTOM_30",
                            "CUSTOM_31",
                            "CUSTOM_32",
                            "CUSTOM_33",
                            "CUSTOM_34",
                            "CUSTOM_35",
                            "CUSTOM_36",
                            "CUSTOM_37",
                            "CUSTOM_38",
                            "CUSTOM_39",
                            "CUSTOM_40",
                            "CUSTOM_41",
                            "CUSTOM_42",
                            "CUSTOM_43",
                            "CUSTOM_44",
                            "CUSTOM_45",
                            "CUSTOM_46",
                            "CUSTOM_47",
                            "CUSTOM_48",
                            "CUSTOM_49",
                            "CUSTOM_50",
                            "CUSTOM_51",
                            "CUSTOM_52",
                            "CUSTOM_53",
                            "CUSTOM_54",
                            "CUSTOM_55",
                            "CUSTOM_56",
                            "CUSTOM_57",
                            "CUSTOM_58",
                            "CUSTOM_59",
                            "CUSTOM_60",
                            "CUSTOM_61",
                            "CUSTOM_62",
                            "CUSTOM_63",
                            "CUSTOM_64",
                            "CUSTOM_65",
                            "CUSTOM_66",
                            "CUSTOM_67",
                            "CUSTOM_68",
                            "CUSTOM_69",
                            "CUSTOM_70",
                            "CUSTOM_71",
                            "CUSTOM_72",
                            "CUSTOM_73",
                            "CUSTOM_74",
                            "CUSTOM_75",
                            "CUSTOM_76",
                            "CUSTOM_77",
                            "CUSTOM_78",
                            "CUSTOM_79",
                            "CUSTOM_80",
                            "CUSTOM_81",
                            "CUSTOM_82",
                            "CUSTOM_83",
                            "CUSTOM_84",
                            "CUSTOM_85",
                            "CUSTOM_86",
                            "CUSTOM_87",
                            "CUSTOM_88",
                            "CUSTOM_89",
                            "CUSTOM_90",
                            "CUSTOM_91",
                            "CUSTOM_92",
                            "CUSTOM_93",
                            "CUSTOM_94",
                            "CUSTOM_95",
                            "CUSTOM_96",
                            "CUSTOM_97",
                            "CUSTOM_98",
                            "CUSTOM_99",
                            "CUSTOM_100",
                            "CUSTOM_101",
                            "CUSTOM_102",
                            "CUSTOM_103",
                            "CUSTOM_104",
                            "CUSTOM_105",
                            "CUSTOM_106",
                            "CUSTOM_107",
                            "CUSTOM_108",
                            "CUSTOM_109",
                            "CUSTOM_110",
                            "CUSTOM_111",
                            "CUSTOM_112",
                            "CUSTOM_113",
                            "CUSTOM_114",
                            "CUSTOM_115",
                            "CUSTOM_116",
                            "CUSTOM_117",
                            "CUSTOM_118",
                            "CUSTOM_119",
                            "CUSTOM_120",
                            "CUSTOM_121",
                            "CUSTOM_122",
                            "CUSTOM_123",
                            "CUSTOM_124",
                            "CUSTOM_125",
                            "CUSTOM_126",
                            "CUSTOM_127",
                            "CUSTOM_128",
                            "CUSTOM_129",
                            "CUSTOM_130",
                            "CUSTOM_131",
                            "CUSTOM_132",
                            "CUSTOM_133",
                            "CUSTOM_134",
                            "CUSTOM_135",
                            "CUSTOM_136",
                            "CUSTOM_137",
                            "CUSTOM_138",
                            "CUSTOM_139",
                            "CUSTOM_140",
                            "CUSTOM_141",
                            "CUSTOM_142",
                            "CUSTOM_143",
                            "CUSTOM_144",
                            "CUSTOM_145",
                            "CUSTOM_146",
                            "CUSTOM_147",
                            "CUSTOM_148",
                            "CUSTOM_149",
                            "CUSTOM_150",
                            "CUSTOM_151",
                            "CUSTOM_152",
                            "CUSTOM_153",
                            "CUSTOM_154",
                            "CUSTOM_155",
                            "CUSTOM_156",
                            "CUSTOM_157",
                            "CUSTOM_158",
                            "CUSTOM_159",
                            "CUSTOM_160",
                            "CUSTOM_161",
                            "CUSTOM_162",
                            "CUSTOM_163",
                            "CUSTOM_164",
                            "CUSTOM_165",
                            "CUSTOM_166",
                            "CUSTOM_167",
                            "CUSTOM_168",
                            "CUSTOM_169",
                            "CUSTOM_170",
                            "CUSTOM_171",
                            "CUSTOM_172",
                            "CUSTOM_173",
                            "CUSTOM_174",
                            "CUSTOM_175",
                            "CUSTOM_176",
                            "CUSTOM_177",
                            "CUSTOM_178",
                            "CUSTOM_179",
                            "CUSTOM_180",
                            "CUSTOM_181",
                            "CUSTOM_182",
                            "CUSTOM_183",
                            "CUSTOM_184",
                            "CUSTOM_185",
                            "CUSTOM_186",
                            "CUSTOM_187",
                            "CUSTOM_188",
                            "CUSTOM_189",
                            "CUSTOM_190",
                            "CUSTOM_191",
                            "CUSTOM_192",
                            "CUSTOM_193",
                            "CUSTOM_194",
                            "CUSTOM_195",
                            "CUSTOM_196",
                            "CUSTOM_197",
                            "CUSTOM_198",
                            "CUSTOM_199",
                            "CUSTOM_200",
                            "CUSTOM_201",
                            "CUSTOM_202",
                            "CUSTOM_203",
                            "CUSTOM_204",
                            "CUSTOM_205",
                            "CUSTOM_206",
                            "CUSTOM_207",
                            "CUSTOM_208",
                            "CUSTOM_209",
                            "CUSTOM_210",
                            "CUSTOM_211",
                            "CUSTOM_212",
                            "CUSTOM_213",
                            "CUSTOM_214",
                            "CUSTOM_215",
                            "CUSTOM_216",
                            "CUSTOM_217",
                            "CUSTOM_218",
                            "CUSTOM_219",
                            "CUSTOM_220",
                            "CUSTOM_221",
                            "CUSTOM_222",
                            "CUSTOM_223",
                            "CUSTOM_224",
                            "CUSTOM_225",
                            "CUSTOM_226",
                            "CUSTOM_227",
                            "CUSTOM_228",
                            "CUSTOM_229",
                            "CUSTOM_230",
                            "CUSTOM_231",
                            "CUSTOM_232",
                            "CUSTOM_233",
                            "CUSTOM_234",
                            "CUSTOM_235",
                            "CUSTOM_236",
                            "CUSTOM_237",
                            "CUSTOM_238",
                            "CUSTOM_239",
                            "CUSTOM_240",
                            "CUSTOM_241",
                            "CUSTOM_242",
                            "CUSTOM_243",
                            "CUSTOM_244",
                            "CUSTOM_245",
                            "CUSTOM_246",
                            "CUSTOM_247",
                            "CUSTOM_248",
                            "CUSTOM_249",
                            "CUSTOM_250",
                            "CUSTOM_251",
                            "CUSTOM_252",
                            "CUSTOM_253",
                            "CUSTOM_254",
                            "CUSTOM_255",
                            "CUSTOM_256",
                            "OTHER_DRUGS",
                            "MARIJUANA",
                            "OTHER_EDUCATION",
                            "CONTINUING_EDUCATION_COLLEGES",
                            "HISTORY",
                            "K_12",
                            "REFERENCE_SITES",
                            "SCIENCE_AND_TECHNOLOGY",
                            "OTHER_ENTERTAINMENT_AND_RECREATION",
                            "ENTERTAINMENT",
                            "TELEVISION_AND_MOVIES",
                            "MUSIC",
                            "STREAMING_MEDIA",
                            "RADIO_STATIONS",
                            "GAMBLING",
                            "OTHER_GAMES",
                            "SOCIAL_NETWORKING_GAMES",
                            "OTHER_GOVERNMENT_AND_POLITICS",
                            "GOVERNMENT",
                            "POLITICS",
                            "HEALTH",
                            "OTHER_ILLEGAL_OR_QUESTIONABLE",
                            "COPYRIGHT_INFRINGEMENT",
                            "COMPUTER_HACKING",
                            "QUESTIONABLE",
                            "PROFANITY",
                            "MATURE_HUMOR",
                            "ANONYMIZER",
                            "OTHER_INFORMATION_TECHNOLOGY",
                            "TRANSLATORS",
                            "IMAGE_HOST",
                            "FILE_HOST",
                            "SHAREWARE_DOWNLOAD",
                            "WEB_BANNERS",
                            "WEB_HOST",
                            "WEB_SEARCH",
                            "PORTALS",
                            "SAFE_SEARCH_ENGINE",
                            "CDN",
                            "OSS_UPDATES",
                            "DNS_OVER_HTTPS",
                            "OTHER_INTERNET_COMMUNICATION",
                            "INTERNET_SERVICES",
                            "DISCUSSION_FORUMS",
                            "ONLINE_CHAT",
                            "EMAIL_HOST",
                            "BLOG",
                            "P2P_COMMUNICATION",
                            "REMOTE_ACCESS",
                            "WEB_CONFERENCING",
                            "ZSPROXY_IPS",
                            "JOB_SEARCH",
                            "MILITANCY_HATE_AND_EXTREMISM",
                            "OTHER_MISCELLANEOUS",
                            "MISCELLANEOUS_OR_UNKNOWN",
                            "NEWLY_REG_DOMAINS",
                            "NON_CATEGORIZABLE",
                            "NEWS_AND_MEDIA",
                            "OTHER_RELIGION",
                            "TRADITIONAL_RELIGION",
                            "CULT",
                            "ALT_NEW_AGE",
                            "OTHER_SECURITY",
                            "ADWARE_OR_SPYWARE",
                            "ENCR_WEB_CONTENT",
                            "MALICIOUS_TLD",
                            "OTHER_SHOPPING_AND_AUCTIONS",
                            "SPECIALIZED_SHOPPING",
                            "REAL_ESTATE",
                            "ONLINE_AUCTIONS",
                            "OTHER_SOCIAL_AND_FAMILY_ISSUES",
                            "SOCIAL_ISSUES",
                            "FAMILY_ISSUES",
                            "OTHER_SOCIETY_AND_LIFESTYLE",
                            "ART_CULTURE",
                            "ALTERNATE_LIFESTYLE",
                            "HOBBIES_AND_LEISURE",
                            "DINING_AND_RESTAURANT",
                            "ALCOHOL_TOBACCO",
                            "SOCIAL_NETWORKING",
                            "SPECIAL_INTERESTS",
                            "SPORTS",
                            "TASTELESS",
                            "TRAVEL",
                            "USER_DEFINED",
                            "VEHICLES",
                            "VIOLENCE",
                            "WEAPONS_AND_BOMBS"
                        ]
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "schema": {
                            "$ref": "#/definitions/UrlCategoryInformation"
                        }
                    }
                }
            },
            "put": {
                "tags": [
                    "URL Categories"
                ],
                "description": "<p>Updates the URL category for the specified ID. If keywords are included within the request, then they replace existing ones for the specified URL category . If the keywords attribute is not included the request, the existing keywords are retained.</p><p>You can perform a full update for the specified URL category. However, if attributes are omitted within the update request, the values for those attributes are cleared.</p><p>You can also perform an incremental update, to add or remove URLs, for the specified URL category using the action parameter. To learn more, see <a href=\"/zia/url-categories-use-cases\" target=\"_blank\">URL Categories Use Cases</a>.</p>\n",
                "operationId": "updateCategory",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "parameters": [
                    {
                        "name": "categoryId",
                        "in": "path",
                        "description": "The unique identifer for the URL category.",
                        "required": true,
                        "type": "string",
                        "enum": [
                            "ANY",
                            "NONE",
                            "OTHER_ADULT_MATERIAL",
                            "ADULT_THEMES",
                            "LINGERIE_BIKINI",
                            "NUDITY",
                            "PORNOGRAPHY",
                            "SEXUALITY",
                            "ADULT_SEX_EDUCATION",
                            "K_12_SEX_EDUCATION",
                            "SOCIAL_ADULT",
                            "OTHER_BUSINESS_AND_ECONOMY",
                            "CORPORATE_MARKETING",
                            "FINANCE",
                            "PROFESSIONAL_SERVICES",
                            "CLASSIFIEDS",
                            "TRADING_BROKARAGE_INSURANCE",
                            "CUSTOM_00",
                            "CUSTOM_01",
                            "CUSTOM_02",
                            "CUSTOM_03",
                            "CUSTOM_04",
                            "CUSTOM_05",
                            "CUSTOM_06",
                            "CUSTOM_07",
                            "CUSTOM_08",
                            "CUSTOM_09",
                            "CUSTOM_10",
                            "CUSTOM_11",
                            "CUSTOM_12",
                            "CUSTOM_13",
                            "CUSTOM_14",
                            "CUSTOM_15",
                            "CUSTOM_16",
                            "CUSTOM_17",
                            "CUSTOM_18",
                            "CUSTOM_19",
                            "CUSTOM_20",
                            "CUSTOM_21",
                            "CUSTOM_22",
                            "CUSTOM_23",
                            "CUSTOM_24",
                            "CUSTOM_25",
                            "CUSTOM_26",
                            "CUSTOM_27",
                            "CUSTOM_28",
                            "CUSTOM_29",
                            "CUSTOM_30",
                            "CUSTOM_31",
                            "CUSTOM_32",
                            "CUSTOM_33",
                            "CUSTOM_34",
                            "CUSTOM_35",
                            "CUSTOM_36",
                            "CUSTOM_37",
                            "CUSTOM_38",
                            "CUSTOM_39",
                            "CUSTOM_40",
                            "CUSTOM_41",
                            "CUSTOM_42",
                            "CUSTOM_43",
                            "CUSTOM_44",
                            "CUSTOM_45",
                            "CUSTOM_46",
                            "CUSTOM_47",
                            "CUSTOM_48",
                            "CUSTOM_49",
                            "CUSTOM_50",
                            "CUSTOM_51",
                            "CUSTOM_52",
                            "CUSTOM_53",
                            "CUSTOM_54",
                            "CUSTOM_55",
                            "CUSTOM_56",
                            "CUSTOM_57",
                            "CUSTOM_58",
                            "CUSTOM_59",
                            "CUSTOM_60",
                            "CUSTOM_61",
                            "CUSTOM_62",
                            "CUSTOM_63",
                            "CUSTOM_64",
                            "CUSTOM_65",
                            "CUSTOM_66",
                            "CUSTOM_67",
                            "CUSTOM_68",
                            "CUSTOM_69",
                            "CUSTOM_70",
                            "CUSTOM_71",
                            "CUSTOM_72",
                            "CUSTOM_73",
                            "CUSTOM_74",
                            "CUSTOM_75",
                            "CUSTOM_76",
                            "CUSTOM_77",
                            "CUSTOM_78",
                            "CUSTOM_79",
                            "CUSTOM_80",
                            "CUSTOM_81",
                            "CUSTOM_82",
                            "CUSTOM_83",
                            "CUSTOM_84",
                            "CUSTOM_85",
                            "CUSTOM_86",
                            "CUSTOM_87",
                            "CUSTOM_88",
                            "CUSTOM_89",
                            "CUSTOM_90",
                            "CUSTOM_91",
                            "CUSTOM_92",
                            "CUSTOM_93",
                            "CUSTOM_94",
                            "CUSTOM_95",
                            "CUSTOM_96",
                            "CUSTOM_97",
                            "CUSTOM_98",
                            "CUSTOM_99",
                            "CUSTOM_100",
                            "CUSTOM_101",
                            "CUSTOM_102",
                            "CUSTOM_103",
                            "CUSTOM_104",
                            "CUSTOM_105",
                            "CUSTOM_106",
                            "CUSTOM_107",
                            "CUSTOM_108",
                            "CUSTOM_109",
                            "CUSTOM_110",
                            "CUSTOM_111",
                            "CUSTOM_112",
                            "CUSTOM_113",
                            "CUSTOM_114",
                            "CUSTOM_115",
                            "CUSTOM_116",
                            "CUSTOM_117",
                            "CUSTOM_118",
                            "CUSTOM_119",
                            "CUSTOM_120",
                            "CUSTOM_121",
                            "CUSTOM_122",
                            "CUSTOM_123",
                            "CUSTOM_124",
                            "CUSTOM_125",
                            "CUSTOM_126",
                            "CUSTOM_127",
                            "CUSTOM_128",
                            "CUSTOM_129",
                            "CUSTOM_130",
                            "CUSTOM_131",
                            "CUSTOM_132",
                            "CUSTOM_133",
                            "CUSTOM_134",
                            "CUSTOM_135",
                            "CUSTOM_136",
                            "CUSTOM_137",
                            "CUSTOM_138",
                            "CUSTOM_139",
                            "CUSTOM_140",
                            "CUSTOM_141",
                            "CUSTOM_142",
                            "CUSTOM_143",
                            "CUSTOM_144",
                            "CUSTOM_145",
                            "CUSTOM_146",
                            "CUSTOM_147",
                            "CUSTOM_148",
                            "CUSTOM_149",
                            "CUSTOM_150",
                            "CUSTOM_151",
                            "CUSTOM_152",
                            "CUSTOM_153",
                            "CUSTOM_154",
                            "CUSTOM_155",
                            "CUSTOM_156",
                            "CUSTOM_157",
                            "CUSTOM_158",
                            "CUSTOM_159",
                            "CUSTOM_160",
                            "CUSTOM_161",
                            "CUSTOM_162",
                            "CUSTOM_163",
                            "CUSTOM_164",
                            "CUSTOM_165",
                            "CUSTOM_166",
                            "CUSTOM_167",
                            "CUSTOM_168",
                            "CUSTOM_169",
                            "CUSTOM_170",
                            "CUSTOM_171",
                            "CUSTOM_172",
                            "CUSTOM_173",
                            "CUSTOM_174",
                            "CUSTOM_175",
                            "CUSTOM_176",
                            "CUSTOM_177",
                            "CUSTOM_178",
                            "CUSTOM_179",
                            "CUSTOM_180",
                            "CUSTOM_181",
                            "CUSTOM_182",
                            "CUSTOM_183",
                            "CUSTOM_184",
                            "CUSTOM_185",
                            "CUSTOM_186",
                            "CUSTOM_187",
                            "CUSTOM_188",
                            "CUSTOM_189",
                            "CUSTOM_190",
                            "CUSTOM_191",
                            "CUSTOM_192",
                            "CUSTOM_193",
                            "CUSTOM_194",
                            "CUSTOM_195",
                            "CUSTOM_196",
                            "CUSTOM_197",
                            "CUSTOM_198",
                            "CUSTOM_199",
                            "CUSTOM_200",
                            "CUSTOM_201",
                            "CUSTOM_202",
                            "CUSTOM_203",
                            "CUSTOM_204",
                            "CUSTOM_205",
                            "CUSTOM_206",
                            "CUSTOM_207",
                            "CUSTOM_208",
                            "CUSTOM_209",
                            "CUSTOM_210",
                            "CUSTOM_211",
                            "CUSTOM_212",
                            "CUSTOM_213",
                            "CUSTOM_214",
                            "CUSTOM_215",
                            "CUSTOM_216",
                            "CUSTOM_217",
                            "CUSTOM_218",
                            "CUSTOM_219",
                            "CUSTOM_220",
                            "CUSTOM_221",
                            "CUSTOM_222",
                            "CUSTOM_223",
                            "CUSTOM_224",
                            "CUSTOM_225",
                            "CUSTOM_226",
                            "CUSTOM_227",
                            "CUSTOM_228",
                            "CUSTOM_229",
                            "CUSTOM_230",
                            "CUSTOM_231",
                            "CUSTOM_232",
                            "CUSTOM_233",
                            "CUSTOM_234",
                            "CUSTOM_235",
                            "CUSTOM_236",
                            "CUSTOM_237",
                            "CUSTOM_238",
                            "CUSTOM_239",
                            "CUSTOM_240",
                            "CUSTOM_241",
                            "CUSTOM_242",
                            "CUSTOM_243",
                            "CUSTOM_244",
                            "CUSTOM_245",
                            "CUSTOM_246",
                            "CUSTOM_247",
                            "CUSTOM_248",
                            "CUSTOM_249",
                            "CUSTOM_250",
                            "CUSTOM_251",
                            "CUSTOM_252",
                            "CUSTOM_253",
                            "CUSTOM_254",
                            "CUSTOM_255",
                            "CUSTOM_256",
                            "OTHER_DRUGS",
                            "MARIJUANA",
                            "OTHER_EDUCATION",
                            "CONTINUING_EDUCATION_COLLEGES",
                            "HISTORY",
                            "K_12",
                            "REFERENCE_SITES",
                            "SCIENCE_AND_TECHNOLOGY",
                            "OTHER_ENTERTAINMENT_AND_RECREATION",
                            "ENTERTAINMENT",
                            "TELEVISION_AND_MOVIES",
                            "MUSIC",
                            "STREAMING_MEDIA",
                            "RADIO_STATIONS",
                            "GAMBLING",
                            "OTHER_GAMES",
                            "SOCIAL_NETWORKING_GAMES",
                            "OTHER_GOVERNMENT_AND_POLITICS",
                            "GOVERNMENT",
                            "POLITICS",
                            "HEALTH",
                            "OTHER_ILLEGAL_OR_QUESTIONABLE",
                            "COPYRIGHT_INFRINGEMENT",
                            "COMPUTER_HACKING",
                            "QUESTIONABLE",
                            "PROFANITY",
                            "MATURE_HUMOR",
                            "ANONYMIZER",
                            "OTHER_INFORMATION_TECHNOLOGY",
                            "TRANSLATORS",
                            "IMAGE_HOST",
                            "FILE_HOST",
                            "SHAREWARE_DOWNLOAD",
                            "WEB_BANNERS",
                            "WEB_HOST",
                            "WEB_SEARCH",
                            "PORTALS",
                            "SAFE_SEARCH_ENGINE",
                            "CDN",
                            "OSS_UPDATES",
                            "DNS_OVER_HTTPS",
                            "OTHER_INTERNET_COMMUNICATION",
                            "INTERNET_SERVICES",
                            "DISCUSSION_FORUMS",
                            "ONLINE_CHAT",
                            "EMAIL_HOST",
                            "BLOG",
                            "P2P_COMMUNICATION",
                            "REMOTE_ACCESS",
                            "WEB_CONFERENCING",
                            "ZSPROXY_IPS",
                            "JOB_SEARCH",
                            "MILITANCY_HATE_AND_EXTREMISM",
                            "OTHER_MISCELLANEOUS",
                            "MISCELLANEOUS_OR_UNKNOWN",
                            "NEWLY_REG_DOMAINS",
                            "NON_CATEGORIZABLE",
                            "NEWS_AND_MEDIA",
                            "OTHER_RELIGION",
                            "TRADITIONAL_RELIGION",
                            "CULT",
                            "ALT_NEW_AGE",
                            "OTHER_SECURITY",
                            "ADWARE_OR_SPYWARE",
                            "ENCR_WEB_CONTENT",
                            "MALICIOUS_TLD",
                            "OTHER_SHOPPING_AND_AUCTIONS",
                            "SPECIALIZED_SHOPPING",
                            "REAL_ESTATE",
                            "ONLINE_AUCTIONS",
                            "OTHER_SOCIAL_AND_FAMILY_ISSUES",
                            "SOCIAL_ISSUES",
                            "FAMILY_ISSUES",
                            "OTHER_SOCIETY_AND_LIFESTYLE",
                            "ART_CULTURE",
                            "ALTERNATE_LIFESTYLE",
                            "HOBBIES_AND_LEISURE",
                            "DINING_AND_RESTAURANT",
                            "ALCOHOL_TOBACCO",
                            "SOCIAL_NETWORKING",
                            "SPECIAL_INTERESTS",
                            "SPORTS",
                            "TASTELESS",
                            "TRAVEL",
                            "USER_DEFINED",
                            "VEHICLES",
                            "VIOLENCE",
                            "WEAPONS_AND_BOMBS"
                        ]
                    },
                    {
                        "name": "action",
                        "description": "<p>The action applied to the URL category (i.e., add or remove from category list). When no action is specified, all the URLs sent in the request will replace the existing ones. It is recommended that you specify the add or remove action to update the URL categories. This ensures that update is performed only on the added or removed URLs, and is useful when the URL category list is large. To learn more, see <a href=\"/zia/url-categories-use-cases\" target=\"_blank\">URL Categories Use Cases</a>.</p>\n",
                        "in": "query",
                        "required": false,
                        "type": "string",
                        "enum": [
                            "ADD_TO_LIST",
                            "REMOVE_FROM_LIST"
                        ]
                    },
                    {
                        "in": "body",
                        "name": "customCategory",
                        "description": "Updates the URL category.",
                        "required": false,
                        "schema": {
                            "$ref": "#/definitions/UrlCategoryInformation"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "schema": {
                            "$ref": "#/definitions/UrlCategoryInformation"
                        }
                    }
                }
            },
            "delete": {
                "tags": [
                    "URL Categories"
                ],
                "description": "<p>Deletes the custom URL category for the specified ID. You cannot delete a custom category while it is being used by a URL policy or NSS feed. Also, predefined categories cannot be deleted.</p>\n",
                "operationId": "deleteCustomCategory",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "parameters": [
                    {
                        "name": "categoryId",
                        "in": "path",
                        "description": "The unique identifer for the custom URL category.",
                        "required": true,
                        "type": "string",
                        "enum": [
                            "ANY",
                            "NONE",
                            "OTHER_ADULT_MATERIAL",
                            "ADULT_THEMES",
                            "LINGERIE_BIKINI",
                            "NUDITY",
                            "PORNOGRAPHY",
                            "SEXUALITY",
                            "ADULT_SEX_EDUCATION",
                            "K_12_SEX_EDUCATION",
                            "SOCIAL_ADULT",
                            "OTHER_BUSINESS_AND_ECONOMY",
                            "CORPORATE_MARKETING",
                            "FINANCE",
                            "PROFESSIONAL_SERVICES",
                            "CLASSIFIEDS",
                            "TRADING_BROKARAGE_INSURANCE",
                            "CUSTOM_00",
                            "CUSTOM_01",
                            "CUSTOM_02",
                            "CUSTOM_03",
                            "CUSTOM_04",
                            "CUSTOM_05",
                            "CUSTOM_06",
                            "CUSTOM_07",
                            "CUSTOM_08",
                            "CUSTOM_09",
                            "CUSTOM_10",
                            "CUSTOM_11",
                            "CUSTOM_12",
                            "CUSTOM_13",
                            "CUSTOM_14",
                            "CUSTOM_15",
                            "CUSTOM_16",
                            "CUSTOM_17",
                            "CUSTOM_18",
                            "CUSTOM_19",
                            "CUSTOM_20",
                            "CUSTOM_21",
                            "CUSTOM_22",
                            "CUSTOM_23",
                            "CUSTOM_24",
                            "CUSTOM_25",
                            "CUSTOM_26",
                            "CUSTOM_27",
                            "CUSTOM_28",
                            "CUSTOM_29",
                            "CUSTOM_30",
                            "CUSTOM_31",
                            "CUSTOM_32",
                            "CUSTOM_33",
                            "CUSTOM_34",
                            "CUSTOM_35",
                            "CUSTOM_36",
                            "CUSTOM_37",
                            "CUSTOM_38",
                            "CUSTOM_39",
                            "CUSTOM_40",
                            "CUSTOM_41",
                            "CUSTOM_42",
                            "CUSTOM_43",
                            "CUSTOM_44",
                            "CUSTOM_45",
                            "CUSTOM_46",
                            "CUSTOM_47",
                            "CUSTOM_48",
                            "CUSTOM_49",
                            "CUSTOM_50",
                            "CUSTOM_51",
                            "CUSTOM_52",
                            "CUSTOM_53",
                            "CUSTOM_54",
                            "CUSTOM_55",
                            "CUSTOM_56",
                            "CUSTOM_57",
                            "CUSTOM_58",
                            "CUSTOM_59",
                            "CUSTOM_60",
                            "CUSTOM_61",
                            "CUSTOM_62",
                            "CUSTOM_63",
                            "CUSTOM_64",
                            "CUSTOM_65",
                            "CUSTOM_66",
                            "CUSTOM_67",
                            "CUSTOM_68",
                            "CUSTOM_69",
                            "CUSTOM_70",
                            "CUSTOM_71",
                            "CUSTOM_72",
                            "CUSTOM_73",
                            "CUSTOM_74",
                            "CUSTOM_75",
                            "CUSTOM_76",
                            "CUSTOM_77",
                            "CUSTOM_78",
                            "CUSTOM_79",
                            "CUSTOM_80",
                            "CUSTOM_81",
                            "CUSTOM_82",
                            "CUSTOM_83",
                            "CUSTOM_84",
                            "CUSTOM_85",
                            "CUSTOM_86",
                            "CUSTOM_87",
                            "CUSTOM_88",
                            "CUSTOM_89",
                            "CUSTOM_90",
                            "CUSTOM_91",
                            "CUSTOM_92",
                            "CUSTOM_93",
                            "CUSTOM_94",
                            "CUSTOM_95",
                            "CUSTOM_96",
                            "CUSTOM_97",
                            "CUSTOM_98",
                            "CUSTOM_99",
                            "CUSTOM_100",
                            "CUSTOM_101",
                            "CUSTOM_102",
                            "CUSTOM_103",
                            "CUSTOM_104",
                            "CUSTOM_105",
                            "CUSTOM_106",
                            "CUSTOM_107",
                            "CUSTOM_108",
                            "CUSTOM_109",
                            "CUSTOM_110",
                            "CUSTOM_111",
                            "CUSTOM_112",
                            "CUSTOM_113",
                            "CUSTOM_114",
                            "CUSTOM_115",
                            "CUSTOM_116",
                            "CUSTOM_117",
                            "CUSTOM_118",
                            "CUSTOM_119",
                            "CUSTOM_120",
                            "CUSTOM_121",
                            "CUSTOM_122",
                            "CUSTOM_123",
                            "CUSTOM_124",
                            "CUSTOM_125",
                            "CUSTOM_126",
                            "CUSTOM_127",
                            "CUSTOM_128",
                            "CUSTOM_129",
                            "CUSTOM_130",
                            "CUSTOM_131",
                            "CUSTOM_132",
                            "CUSTOM_133",
                            "CUSTOM_134",
                            "CUSTOM_135",
                            "CUSTOM_136",
                            "CUSTOM_137",
                            "CUSTOM_138",
                            "CUSTOM_139",
                            "CUSTOM_140",
                            "CUSTOM_141",
                            "CUSTOM_142",
                            "CUSTOM_143",
                            "CUSTOM_144",
                            "CUSTOM_145",
                            "CUSTOM_146",
                            "CUSTOM_147",
                            "CUSTOM_148",
                            "CUSTOM_149",
                            "CUSTOM_150",
                            "CUSTOM_151",
                            "CUSTOM_152",
                            "CUSTOM_153",
                            "CUSTOM_154",
                            "CUSTOM_155",
                            "CUSTOM_156",
                            "CUSTOM_157",
                            "CUSTOM_158",
                            "CUSTOM_159",
                            "CUSTOM_160",
                            "CUSTOM_161",
                            "CUSTOM_162",
                            "CUSTOM_163",
                            "CUSTOM_164",
                            "CUSTOM_165",
                            "CUSTOM_166",
                            "CUSTOM_167",
                            "CUSTOM_168",
                            "CUSTOM_169",
                            "CUSTOM_170",
                            "CUSTOM_171",
                            "CUSTOM_172",
                            "CUSTOM_173",
                            "CUSTOM_174",
                            "CUSTOM_175",
                            "CUSTOM_176",
                            "CUSTOM_177",
                            "CUSTOM_178",
                            "CUSTOM_179",
                            "CUSTOM_180",
                            "CUSTOM_181",
                            "CUSTOM_182",
                            "CUSTOM_183",
                            "CUSTOM_184",
                            "CUSTOM_185",
                            "CUSTOM_186",
                            "CUSTOM_187",
                            "CUSTOM_188",
                            "CUSTOM_189",
                            "CUSTOM_190",
                            "CUSTOM_191",
                            "CUSTOM_192",
                            "CUSTOM_193",
                            "CUSTOM_194",
                            "CUSTOM_195",
                            "CUSTOM_196",
                            "CUSTOM_197",
                            "CUSTOM_198",
                            "CUSTOM_199",
                            "CUSTOM_200",
                            "CUSTOM_201",
                            "CUSTOM_202",
                            "CUSTOM_203",
                            "CUSTOM_204",
                            "CUSTOM_205",
                            "CUSTOM_206",
                            "CUSTOM_207",
                            "CUSTOM_208",
                            "CUSTOM_209",
                            "CUSTOM_210",
                            "CUSTOM_211",
                            "CUSTOM_212",
                            "CUSTOM_213",
                            "CUSTOM_214",
                            "CUSTOM_215",
                            "CUSTOM_216",
                            "CUSTOM_217",
                            "CUSTOM_218",
                            "CUSTOM_219",
                            "CUSTOM_220",
                            "CUSTOM_221",
                            "CUSTOM_222",
                            "CUSTOM_223",
                            "CUSTOM_224",
                            "CUSTOM_225",
                            "CUSTOM_226",
                            "CUSTOM_227",
                            "CUSTOM_228",
                            "CUSTOM_229",
                            "CUSTOM_230",
                            "CUSTOM_231",
                            "CUSTOM_232",
                            "CUSTOM_233",
                            "CUSTOM_234",
                            "CUSTOM_235",
                            "CUSTOM_236",
                            "CUSTOM_237",
                            "CUSTOM_238",
                            "CUSTOM_239",
                            "CUSTOM_240",
                            "CUSTOM_241",
                            "CUSTOM_242",
                            "CUSTOM_243",
                            "CUSTOM_244",
                            "CUSTOM_245",
                            "CUSTOM_246",
                            "CUSTOM_247",
                            "CUSTOM_248",
                            "CUSTOM_249",
                            "CUSTOM_250",
                            "CUSTOM_251",
                            "CUSTOM_252",
                            "CUSTOM_253",
                            "CUSTOM_254",
                            "CUSTOM_255",
                            "CUSTOM_256",
                            "OTHER_DRUGS",
                            "MARIJUANA",
                            "OTHER_EDUCATION",
                            "CONTINUING_EDUCATION_COLLEGES",
                            "HISTORY",
                            "K_12",
                            "REFERENCE_SITES",
                            "SCIENCE_AND_TECHNOLOGY",
                            "OTHER_ENTERTAINMENT_AND_RECREATION",
                            "ENTERTAINMENT",
                            "TELEVISION_AND_MOVIES",
                            "MUSIC",
                            "STREAMING_MEDIA",
                            "RADIO_STATIONS",
                            "GAMBLING",
                            "OTHER_GAMES",
                            "SOCIAL_NETWORKING_GAMES",
                            "OTHER_GOVERNMENT_AND_POLITICS",
                            "GOVERNMENT",
                            "POLITICS",
                            "HEALTH",
                            "OTHER_ILLEGAL_OR_QUESTIONABLE",
                            "COPYRIGHT_INFRINGEMENT",
                            "COMPUTER_HACKING",
                            "QUESTIONABLE",
                            "PROFANITY",
                            "MATURE_HUMOR",
                            "ANONYMIZER",
                            "OTHER_INFORMATION_TECHNOLOGY",
                            "TRANSLATORS",
                            "IMAGE_HOST",
                            "FILE_HOST",
                            "SHAREWARE_DOWNLOAD",
                            "WEB_BANNERS",
                            "WEB_HOST",
                            "WEB_SEARCH",
                            "PORTALS",
                            "SAFE_SEARCH_ENGINE",
                            "CDN",
                            "OSS_UPDATES",
                            "DNS_OVER_HTTPS",
                            "OTHER_INTERNET_COMMUNICATION",
                            "INTERNET_SERVICES",
                            "DISCUSSION_FORUMS",
                            "ONLINE_CHAT",
                            "EMAIL_HOST",
                            "BLOG",
                            "P2P_COMMUNICATION",
                            "REMOTE_ACCESS",
                            "WEB_CONFERENCING",
                            "ZSPROXY_IPS",
                            "JOB_SEARCH",
                            "MILITANCY_HATE_AND_EXTREMISM",
                            "OTHER_MISCELLANEOUS",
                            "MISCELLANEOUS_OR_UNKNOWN",
                            "NEWLY_REG_DOMAINS",
                            "NON_CATEGORIZABLE",
                            "NEWS_AND_MEDIA",
                            "OTHER_RELIGION",
                            "TRADITIONAL_RELIGION",
                            "CULT",
                            "ALT_NEW_AGE",
                            "OTHER_SECURITY",
                            "ADWARE_OR_SPYWARE",
                            "ENCR_WEB_CONTENT",
                            "MALICIOUS_TLD",
                            "OTHER_SHOPPING_AND_AUCTIONS",
                            "SPECIALIZED_SHOPPING",
                            "REAL_ESTATE",
                            "ONLINE_AUCTIONS",
                            "OTHER_SOCIAL_AND_FAMILY_ISSUES",
                            "SOCIAL_ISSUES",
                            "FAMILY_ISSUES",
                            "OTHER_SOCIETY_AND_LIFESTYLE",
                            "ART_CULTURE",
                            "ALTERNATE_LIFESTYLE",
                            "HOBBIES_AND_LEISURE",
                            "DINING_AND_RESTAURANT",
                            "ALCOHOL_TOBACCO",
                            "SOCIAL_NETWORKING",
                            "SPECIAL_INTERESTS",
                            "SPORTS",
                            "TASTELESS",
                            "TRAVEL",
                            "USER_DEFINED",
                            "VEHICLES",
                            "VIOLENCE",
                            "WEAPONS_AND_BOMBS"
                        ]
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation"
                    }
                }
            }
        },
        "/urlLookup": {
            "post": {
                "tags": [
                    "URL Categories"
                ],
                "description": "<p>Retrieve Zscaler's default classification for a given set of URLs (e.g., ['abc.com', 'xyz.com']).</p><p><b>Note</b>: <ul><li>Custom URL classification is not returned by this request. Any URLs that are not categorized under a predefined URL category return a value of <code>MISCELLANEOUS_OR_UNKNOWN</code>.</li><li>Up to 100 URLs can be looked up per request, and a URL cannot exceed 1,024 characters.</li></ul></p>\n",
                "operationId": "searchURLsClassification",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "parameters": [
                    {
                        "in": "body",
                        "name": "urls",
                        "description": "The given set of URLs to be looked up.",
                        "required": false,
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "string"
                            }
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Successful Operation",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/UrlClassificationInfo"
                            }
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "UrlCategoryInformation": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "id": {
                    "type": "string",
                    "description": "URL category",
                    "enum": [
                        "ANY",
                        "NONE",
                        "OTHER_ADULT_MATERIAL",
                        "ADULT_THEMES",
                        "LINGERIE_BIKINI",
                        "NUDITY",
                        "PORNOGRAPHY",
                        "SEXUALITY",
                        "ADULT_SEX_EDUCATION",
                        "K_12_SEX_EDUCATION",
                        "SOCIAL_ADULT",
                        "OTHER_BUSINESS_AND_ECONOMY",
                        "CORPORATE_MARKETING",
                        "FINANCE",
                        "PROFESSIONAL_SERVICES",
                        "CLASSIFIEDS",
                        "TRADING_BROKARAGE_INSURANCE",
                        "CUSTOM_00",
                        "CUSTOM_01",
                        "CUSTOM_02",
                        "CUSTOM_03",
                        "CUSTOM_04",
                        "CUSTOM_05",
                        "CUSTOM_06",
                        "CUSTOM_07",
                        "CUSTOM_08",
                        "CUSTOM_09",
                        "CUSTOM_10",
                        "CUSTOM_11",
                        "CUSTOM_12",
                        "CUSTOM_13",
                        "CUSTOM_14",
                        "CUSTOM_15",
                        "CUSTOM_16",
                        "CUSTOM_17",
                        "CUSTOM_18",
                        "CUSTOM_19",
                        "CUSTOM_20",
                        "CUSTOM_21",
                        "CUSTOM_22",
                        "CUSTOM_23",
                        "CUSTOM_24",
                        "CUSTOM_25",
                        "CUSTOM_26",
                        "CUSTOM_27",
                        "CUSTOM_28",
                        "CUSTOM_29",
                        "CUSTOM_30",
                        "CUSTOM_31",
                        "CUSTOM_32",
                        "CUSTOM_33",
                        "CUSTOM_34",
                        "CUSTOM_35",
                        "CUSTOM_36",
                        "CUSTOM_37",
                        "CUSTOM_38",
                        "CUSTOM_39",
                        "CUSTOM_40",
                        "CUSTOM_41",
                        "CUSTOM_42",
                        "CUSTOM_43",
                        "CUSTOM_44",
                        "CUSTOM_45",
                        "CUSTOM_46",
                        "CUSTOM_47",
                        "CUSTOM_48",
                        "CUSTOM_49",
                        "CUSTOM_50",
                        "CUSTOM_51",
                        "CUSTOM_52",
                        "CUSTOM_53",
                        "CUSTOM_54",
                        "CUSTOM_55",
                        "CUSTOM_56",
                        "CUSTOM_57",
                        "CUSTOM_58",
                        "CUSTOM_59",
                        "CUSTOM_60",
                        "CUSTOM_61",
                        "CUSTOM_62",
                        "CUSTOM_63",
                        "CUSTOM_64",
                        "CUSTOM_65",
                        "CUSTOM_66",
                        "CUSTOM_67",
                        "CUSTOM_68",
                        "CUSTOM_69",
                        "CUSTOM_70",
                        "CUSTOM_71",
                        "CUSTOM_72",
                        "CUSTOM_73",
                        "CUSTOM_74",
                        "CUSTOM_75",
                        "CUSTOM_76",
                        "CUSTOM_77",
                        "CUSTOM_78",
                        "CUSTOM_79",
                        "CUSTOM_80",
                        "CUSTOM_81",
                        "CUSTOM_82",
                        "CUSTOM_83",
                        "CUSTOM_84",
                        "CUSTOM_85",
                        "CUSTOM_86",
                        "CUSTOM_87",
                        "CUSTOM_88",
                        "CUSTOM_89",
                        "CUSTOM_90",
                        "CUSTOM_91",
                        "CUSTOM_92",
                        "CUSTOM_93",
                        "CUSTOM_94",
                        "CUSTOM_95",
                        "CUSTOM_96",
                        "CUSTOM_97",
                        "CUSTOM_98",
                        "CUSTOM_99",
                        "CUSTOM_100",
                        "CUSTOM_101",
                        "CUSTOM_102",
                        "CUSTOM_103",
                        "CUSTOM_104",
                        "CUSTOM_105",
                        "CUSTOM_106",
                        "CUSTOM_107",
                        "CUSTOM_108",
                        "CUSTOM_109",
                        "CUSTOM_110",
                        "CUSTOM_111",
                        "CUSTOM_112",
                        "CUSTOM_113",
                        "CUSTOM_114",
                        "CUSTOM_115",
                        "CUSTOM_116",
                        "CUSTOM_117",
                        "CUSTOM_118",
                        "CUSTOM_119",
                        "CUSTOM_120",
                        "CUSTOM_121",
                        "CUSTOM_122",
                        "CUSTOM_123",
                        "CUSTOM_124",
                        "CUSTOM_125",
                        "CUSTOM_126",
                        "CUSTOM_127",
                        "CUSTOM_128",
                        "CUSTOM_129",
                        "CUSTOM_130",
                        "CUSTOM_131",
                        "CUSTOM_132",
                        "CUSTOM_133",
                        "CUSTOM_134",
                        "CUSTOM_135",
                        "CUSTOM_136",
                        "CUSTOM_137",
                        "CUSTOM_138",
                        "CUSTOM_139",
                        "CUSTOM_140",
                        "CUSTOM_141",
                        "CUSTOM_142",
                        "CUSTOM_143",
                        "CUSTOM_144",
                        "CUSTOM_145",
                        "CUSTOM_146",
                        "CUSTOM_147",
                        "CUSTOM_148",
                        "CUSTOM_149",
                        "CUSTOM_150",
                        "CUSTOM_151",
                        "CUSTOM_152",
                        "CUSTOM_153",
                        "CUSTOM_154",
                        "CUSTOM_155",
                        "CUSTOM_156",
                        "CUSTOM_157",
                        "CUSTOM_158",
                        "CUSTOM_159",
                        "CUSTOM_160",
                        "CUSTOM_161",
                        "CUSTOM_162",
                        "CUSTOM_163",
                        "CUSTOM_164",
                        "CUSTOM_165",
                        "CUSTOM_166",
                        "CUSTOM_167",
                        "CUSTOM_168",
                        "CUSTOM_169",
                        "CUSTOM_170",
                        "CUSTOM_171",
                        "CUSTOM_172",
                        "CUSTOM_173",
                        "CUSTOM_174",
                        "CUSTOM_175",
                        "CUSTOM_176",
                        "CUSTOM_177",
                        "CUSTOM_178",
                        "CUSTOM_179",
                        "CUSTOM_180",
                        "CUSTOM_181",
                        "CUSTOM_182",
                        "CUSTOM_183",
                        "CUSTOM_184",
                        "CUSTOM_185",
                        "CUSTOM_186",
                        "CUSTOM_187",
                        "CUSTOM_188",
                        "CUSTOM_189",
                        "CUSTOM_190",
                        "CUSTOM_191",
                        "CUSTOM_192",
                        "CUSTOM_193",
                        "CUSTOM_194",
                        "CUSTOM_195",
                        "CUSTOM_196",
                        "CUSTOM_197",
                        "CUSTOM_198",
                        "CUSTOM_199",
                        "CUSTOM_200",
                        "CUSTOM_201",
                        "CUSTOM_202",
                        "CUSTOM_203",
                        "CUSTOM_204",
                        "CUSTOM_205",
                        "CUSTOM_206",
                        "CUSTOM_207",
                        "CUSTOM_208",
                        "CUSTOM_209",
                        "CUSTOM_210",
                        "CUSTOM_211",
                        "CUSTOM_212",
                        "CUSTOM_213",
                        "CUSTOM_214",
                        "CUSTOM_215",
                        "CUSTOM_216",
                        "CUSTOM_217",
                        "CUSTOM_218",
                        "CUSTOM_219",
                        "CUSTOM_220",
                        "CUSTOM_221",
                        "CUSTOM_222",
                        "CUSTOM_223",
                        "CUSTOM_224",
                        "CUSTOM_225",
                        "CUSTOM_226",
                        "CUSTOM_227",
                        "CUSTOM_228",
                        "CUSTOM_229",
                        "CUSTOM_230",
                        "CUSTOM_231",
                        "CUSTOM_232",
                        "CUSTOM_233",
                        "CUSTOM_234",
                        "CUSTOM_235",
                        "CUSTOM_236",
                        "CUSTOM_237",
                        "CUSTOM_238",
                        "CUSTOM_239",
                        "CUSTOM_240",
                        "CUSTOM_241",
                        "CUSTOM_242",
                        "CUSTOM_243",
                        "CUSTOM_244",
                        "CUSTOM_245",
                        "CUSTOM_246",
                        "CUSTOM_247",
                        "CUSTOM_248",
                        "CUSTOM_249",
                        "CUSTOM_250",
                        "CUSTOM_251",
                        "CUSTOM_252",
                        "CUSTOM_253",
                        "CUSTOM_254",
                        "CUSTOM_255",
                        "CUSTOM_256",
                        "OTHER_DRUGS",
                        "MARIJUANA",
                        "OTHER_EDUCATION",
                        "CONTINUING_EDUCATION_COLLEGES",
                        "HISTORY",
                        "K_12",
                        "REFERENCE_SITES",
                        "SCIENCE_AND_TECHNOLOGY",
                        "OTHER_ENTERTAINMENT_AND_RECREATION",
                        "ENTERTAINMENT",
                        "TELEVISION_AND_MOVIES",
                        "MUSIC",
                        "STREAMING_MEDIA",
                        "RADIO_STATIONS",
                        "GAMBLING",
                        "OTHER_GAMES",
                        "SOCIAL_NETWORKING_GAMES",
                        "OTHER_GOVERNMENT_AND_POLITICS",
                        "GOVERNMENT",
                        "POLITICS",
                        "HEALTH",
                        "OTHER_ILLEGAL_OR_QUESTIONABLE",
                        "COPYRIGHT_INFRINGEMENT",
                        "COMPUTER_HACKING",
                        "QUESTIONABLE",
                        "PROFANITY",
                        "MATURE_HUMOR",
                        "ANONYMIZER",
                        "OTHER_INFORMATION_TECHNOLOGY",
                        "TRANSLATORS",
                        "IMAGE_HOST",
                        "FILE_HOST",
                        "SHAREWARE_DOWNLOAD",
                        "WEB_BANNERS",
                        "WEB_HOST",
                        "WEB_SEARCH",
                        "PORTALS",
                        "SAFE_SEARCH_ENGINE",
                        "CDN",
                        "OSS_UPDATES",
                        "DNS_OVER_HTTPS",
                        "OTHER_INTERNET_COMMUNICATION",
                        "INTERNET_SERVICES",
                        "DISCUSSION_FORUMS",
                        "ONLINE_CHAT",
                        "EMAIL_HOST",
                        "BLOG",
                        "P2P_COMMUNICATION",
                        "REMOTE_ACCESS",
                        "WEB_CONFERENCING",
                        "ZSPROXY_IPS",
                        "JOB_SEARCH",
                        "MILITANCY_HATE_AND_EXTREMISM",
                        "OTHER_MISCELLANEOUS",
                        "MISCELLANEOUS_OR_UNKNOWN",
                        "NEWLY_REG_DOMAINS",
                        "NON_CATEGORIZABLE",
                        "NEWS_AND_MEDIA",
                        "OTHER_RELIGION",
                        "TRADITIONAL_RELIGION",
                        "CULT",
                        "ALT_NEW_AGE",
                        "OTHER_SECURITY",
                        "ADWARE_OR_SPYWARE",
                        "ENCR_WEB_CONTENT",
                        "MALICIOUS_TLD",
                        "OTHER_SHOPPING_AND_AUCTIONS",
                        "SPECIALIZED_SHOPPING",
                        "REAL_ESTATE",
                        "ONLINE_AUCTIONS",
                        "OTHER_SOCIAL_AND_FAMILY_ISSUES",
                        "SOCIAL_ISSUES",
                        "FAMILY_ISSUES",
                        "OTHER_SOCIETY_AND_LIFESTYLE",
                        "ART_CULTURE",
                        "ALTERNATE_LIFESTYLE",
                        "HOBBIES_AND_LEISURE",
                        "DINING_AND_RESTAURANT",
                        "ALCOHOL_TOBACCO",
                        "SOCIAL_NETWORKING",
                        "SPECIAL_INTERESTS",
                        "SPORTS",
                        "TASTELESS",
                        "TRAVEL",
                        "USER_DEFINED",
                        "VEHICLES",
                        "VIOLENCE",
                        "WEAPONS_AND_BOMBS"
                    ]
                },
                "configuredName": {
                    "type": "string",
                    "description": "Name of the URL category. This is only required for custom URL categories."
                },
                "superCategory": {
                    "type": "string",
                    "description": "Super Category of the URL category. This field is required when creating custom URL categories.",
                    "enum": [
                        "ANY",
                        "NONE",
                        "ADVANCED_SECURITY",
                        "ENTERTAINMENT_AND_RECREATION",
                        "NEWS_AND_MEDIA",
                        "USER_DEFINED",
                        "EDUCATION",
                        "BUSINESS_AND_ECONOMY",
                        "JOB_SEARCH",
                        "INFORMATION_TECHNOLOGY",
                        "INTERNET_COMMUNICATION",
                        "OFFICE_365",
                        "CUSTOM_SUPERCATEGORY",
                        "CUSTOM_BP",
                        "CUSTOM_BW",
                        "MISCELLANEOUS",
                        "TRAVEL",
                        "VEHICLES",
                        "GOVERNMENT_AND_POLITICS",
                        "GLOBAL_INT",
                        "GLOBAL_INT_BP",
                        "GLOBAL_INT_BW",
                        "GLOBAL_INT_OFC365",
                        "ADULT_MATERIAL",
                        "DRUGS",
                        "GAMBLING",
                        "VIOLENCE",
                        "WEAPONS_AND_BOMBS",
                        "TASTELESS",
                        "MILITANCY_HATE_AND_EXTREMISM",
                        "ILLEGAL_OR_QUESTIONABLE",
                        "SOCIETY_AND_LIFESTYLE",
                        "HEALTH",
                        "SPORTS",
                        "SPECIAL_INTERESTS_SOCIAL_ORGANIZATIONS",
                        "GAMES",
                        "SHOPPING_AND_AUCTIONS",
                        "SOCIAL_AND_FAMILY_ISSUES",
                        "RELIGION",
                        "SECURITY"
                    ]
                },
                "regexPatterns": {
                    "type": "array",
                    "description": "<p>Regex patterns associated with this custom category to support full or partial matches with URLs. Multiple patterns can be added to a category. A pattern must be between 3 and 255 characters, and a maximum of 256 patterns can be added across all categories. To learn more about regex pattern specifications, see <a href=\"/zia/configuring-custom-url-categories\" target=\"_blank\">Configuring Custom URL Categories</a>.</p><p><b>Note</b>: This field is applicable only when <b>Regex</b> is selected for <b>urlType</b>.</p>",
                    "items": {
                        "type": "string"
                    }
                },
                "regexPatternsRetainingParentCategory": {
                    "type": "array",
                    "description": "<p>This field specifies regex patterns for URLs that must be covered by policies directly referencing this custom category as well as by policies referencing its parent URL category (e.g., Corporate Marketing). Multiple patterns can be added to a category. A pattern must be between 3 and 255 characters, and a maximum of 256 patterns can be added across all categories.To learn more about regex pattern specifications, see <a href=\"/zia/configuring-custom-url-categories\" target=\"_blank\">Configuring Custom URL Categories</a>.</p><p><b>Note</b>: This field is applicable only when <b>Regex</b> is selected for <b>urlType</b>.</p>",
                    "items": {
                        "type": "string"
                    }
                },
                "keywords": {
                    "type": "array",
                    "description": "<p>Custom keywords associated to a URL category. Up to 2048 custom keywords can be added per organization across all categories (including bandwidth classes).</p>",
                    "items": {
                        "type": "string"
                    }
                },
                "keywordsRetainingParentCategory": {
                    "type": "array",
                    "description": "<p>Retained custom keywords from the parent URL category that is associated to a URL category. Up to 2048 retained parent keywords can be added per organization across all categories (including bandwidth classes).</p>",
                    "items": {
                        "type": "string"
                    }
                },
                "urls": {
                    "type": "array",
                    "description": "<p>Custom URLs to add to a URL category. Up to 25,000 custom URLs can be added per organization across all categories (including bandwidth classes).</p>",
                    "items": {
                        "type": "string"
                    }
                },
                "dbCategorizedUrls": {
                    "type": "array",
                    "description": "<p>URLs added to a custom URL category are also retained under the original parent URL category (i.e., the predefined category the URL previously belonged to). The URLs entered are covered by policies that reference the original parent URL category as well as those that reference the custom URL category. For example, if you add www.amazon.com, this URL is covered by policies that reference the custom URL category as well as policies that reference its parent URL category of \"Online Shopping\".</p>\n",
                    "items": {
                        "type": "string"
                    }
                },
                "ipRanges": {
                    "type": "array",
                    "description": "<p>Custom IP address ranges associated to a URL category. Up to 2000 custom IP address ranges and retaining parent custom IP address ranges can be added, per organization, across all categories.</p><p><b>Note</b>: This field is available only if the option to configure custom IP ranges is enabled for your organization. To enable this option, contact Zscaler Support.</p>",
                    "items": {
                        "type": "string"
                    }
                },
                "ipRangesRetainingParentCategory": {
                    "type": "array",
                    "description": "The retaining parent custom IP address ranges associated to a URL category. Up to 2000 custom IP ranges and retaining parent custom IP address ranges can be added, per organization, across all categories.",
                    "items": {
                        "type": "string"
                    }
                },
                "customCategory": {
                    "type": "boolean",
                    "description": "Set to true for custom URL category. Up to 48 custom URL categories can be added per organization.",
                    "default": false
                },
                "scopes": {
                    "type": "array",
                    "description": "Scope of the custom categories.",
                    "items": {
                        "$ref": "#/definitions/AdminScope"
                    }
                },
                "editable": {
                    "type": "boolean",
                    "description": "Value is set to false for custom URL category when due to scope user does not have edit permission",
                    "default": false
                },
                "description": {
                    "type": "string",
                    "description": "Description of the URL category. Contains tag name and needs to be localized on client side in case of predefined category (customCategory=null or =false), else it contains the user-entered description which does not have localization support."
                },
                "type": {
                    "type": "string",
                    "description": "Type of the custom categories.",
                    "enum": [
                        "URL_CATEGORY",
                        "TLD_CATEGORY",
                        "ALL"
                    ]
                },
                "urlKeywordCounts": {
                    "description": "URL and keyword counts for the URL category.",
                    "allOf": [
                        {
                            "$ref": "#/definitions/UrlKeywordCounts"
                        }
                    ]
                },
                "customUrlsCount": {
                    "type": "integer",
                    "description": "The number of custom URLs associated to the URL category.",
                    "format": "int32"
                },
                "urlsRetainingParentCategoryCount": {
                    "type": "integer",
                    "description": "The number of custom URLs associated to the URL category, that also need to be retained under the original parent category.",
                    "format": "int32"
                },
                "customIpRangesCount": {
                    "type": "integer",
                    "description": "The number of custom IP address ranges associated to the URL category.",
                    "format": "int32"
                },
                "ipRangesRetainingParentCategoryCount": {
                    "type": "integer",
                    "description": "The number of custom IP address ranges associated to the URL category, that also need to be retained under the original parent category.",
                    "format": "int32"
                },
                "urlType": {
                    "type": "string",
                    "description": "<p>Specifies the type of URL match, such as using exact URLs or regex patterns. For regex, the patterns can be specified using the <b>regexPatterns</b> and <b>regexPatternsRetainingParentCategory</b> fields. For exact URLs, specify the required URLs, keywords, or IP ranges using the appropriate fields.</p><p><b>Note</b>: To enable the Regex feature, contact Zscaler Support.</p>",
                    "enum": [
                        "EXACT",
                        "REGEX"
                    ]
                }
            },
            "description": "URL category information as identified by Zscaler."
        },
        "UrlDomainReview": {
            "type": "object",
            "description": "Information about the URLs and their respective matching categories",
            "properties": {
                "url": {
                    "type": "string",
                    "description": "The URL that has a match in one or more existing custom URL categories"
                },
                "domainType": {
                    "type": "string",
                    "description": "The domain type of the URL",
                    "enum": [
                        "WILDCARD",
                        "SUBDOMAIN"
                    ]
                },
                "matches": {
                    "type": "array",
                    "description": "Information about the list of categories where a URL match is found",
                    "items": {
                        "$ref": "#/definitions/UrlCategoryReference"
                    }
                }
            }
        },
        "UrlsQuotaDOM": {
            "type": "object",
            "properties": {
                "uniqueUrlsProvisioned": {
                    "type": "integer",
                    "format": "int32"
                },
                "remainingUrlsQuota": {
                    "type": "integer",
                    "format": "int32"
                }
            }
        },
        "UrlClassificationInfo": {
            "type": "object",
            "properties": {
                "url": {
                    "type": "string",
                    "description": "URL string",
                    "readOnly": true
                },
                "urlClassifications": {
                    "type": "array",
                    "description": "Assigned URL categories (Zscaler's default URL categories)",
                    "readOnly": true,
                    "items": {
                        "type": "string",
                        "enum": [
                            "ANY",
                            "NONE",
                            "OTHER_ADULT_MATERIAL",
                            "ADULT_THEMES",
                            "LINGERIE_BIKINI",
                            "NUDITY",
                            "PORNOGRAPHY",
                            "SEXUALITY",
                            "ADULT_SEX_EDUCATION",
                            "K_12_SEX_EDUCATION",
                            "SOCIAL_ADULT",
                            "OTHER_THREAT",
                            "PHISHING",
                            "BOTNET",
                            "MALWARE_SITE",
                            "P2P",
                            "UNAUTHORIZED_COMMUNICATION",
                            "XSS",
                            "BROWSER_EXPLOIT",
                            "SUSPICIOUS_DESTINATION",
                            "SPYWARE_OR_ADWARE",
                            "WEB_SPAM",
                            "PAGE_RISK_INDEX",
                            "ADSPYWARE_SITES",
                            "CRYPTOMINING",
                            "OTHER_BUSINESS_AND_ECONOMY",
                            "CORPORATE_MARKETING",
                            "FINANCE",
                            "PROFESSIONAL_SERVICES",
                            "CLASSIFIEDS",
                            "TRADING_BROKARAGE_INSURANCE",
                            "CUSTOM_00",
                            "CUSTOM_01",
                            "CUSTOM_02",
                            "CUSTOM_03",
                            "CUSTOM_04",
                            "CUSTOM_05",
                            "CUSTOM_06",
                            "CUSTOM_07",
                            "CUSTOM_08",
                            "CUSTOM_09",
                            "CUSTOM_10",
                            "CUSTOM_11",
                            "CUSTOM_12",
                            "CUSTOM_13",
                            "CUSTOM_14",
                            "CUSTOM_15",
                            "CUSTOM_16",
                            "CUSTOM_17",
                            "CUSTOM_18",
                            "CUSTOM_19",
                            "CUSTOM_20",
                            "CUSTOM_21",
                            "CUSTOM_22",
                            "CUSTOM_23",
                            "CUSTOM_24",
                            "CUSTOM_25",
                            "CUSTOM_26",
                            "CUSTOM_27",
                            "CUSTOM_28",
                            "CUSTOM_29",
                            "CUSTOM_30",
                            "CUSTOM_31",
                            "CUSTOM_32",
                            "CUSTOM_33",
                            "CUSTOM_34",
                            "CUSTOM_35",
                            "CUSTOM_36",
                            "CUSTOM_37",
                            "CUSTOM_38",
                            "CUSTOM_39",
                            "CUSTOM_40",
                            "CUSTOM_41",
                            "CUSTOM_42",
                            "CUSTOM_43",
                            "CUSTOM_44",
                            "CUSTOM_45",
                            "CUSTOM_46",
                            "CUSTOM_47",
                            "CUSTOM_48",
                            "CUSTOM_49",
                            "CUSTOM_50",
                            "CUSTOM_51",
                            "CUSTOM_52",
                            "CUSTOM_53",
                            "CUSTOM_54",
                            "CUSTOM_55",
                            "CUSTOM_56",
                            "CUSTOM_57",
                            "CUSTOM_58",
                            "CUSTOM_59",
                            "CUSTOM_60",
                            "CUSTOM_61",
                            "CUSTOM_62",
                            "CUSTOM_63",
                            "CUSTOM_64",
                            "CUSTOM_65",
                            "CUSTOM_66",
                            "CUSTOM_67",
                            "CUSTOM_68",
                            "CUSTOM_69",
                            "CUSTOM_70",
                            "CUSTOM_71",
                            "CUSTOM_72",
                            "CUSTOM_73",
                            "CUSTOM_74",
                            "CUSTOM_75",
                            "CUSTOM_76",
                            "CUSTOM_77",
                            "CUSTOM_78",
                            "CUSTOM_79",
                            "CUSTOM_80",
                            "CUSTOM_81",
                            "CUSTOM_82",
                            "CUSTOM_83",
                            "CUSTOM_84",
                            "CUSTOM_85",
                            "CUSTOM_86",
                            "CUSTOM_87",
                            "CUSTOM_88",
                            "CUSTOM_89",
                            "CUSTOM_90",
                            "CUSTOM_91",
                            "CUSTOM_92",
                            "CUSTOM_93",
                            "CUSTOM_94",
                            "CUSTOM_95",
                            "CUSTOM_96",
                            "CUSTOM_97",
                            "CUSTOM_98",
                            "CUSTOM_99",
                            "CUSTOM_100",
                            "CUSTOM_101",
                            "CUSTOM_102",
                            "CUSTOM_103",
                            "CUSTOM_104",
                            "CUSTOM_105",
                            "CUSTOM_106",
                            "CUSTOM_107",
                            "CUSTOM_108",
                            "CUSTOM_109",
                            "CUSTOM_110",
                            "CUSTOM_111",
                            "CUSTOM_112",
                            "CUSTOM_113",
                            "CUSTOM_114",
                            "CUSTOM_115",
                            "CUSTOM_116",
                            "CUSTOM_117",
                            "CUSTOM_118",
                            "CUSTOM_119",
                            "CUSTOM_120",
                            "CUSTOM_121",
                            "CUSTOM_122",
                            "CUSTOM_123",
                            "CUSTOM_124",
                            "CUSTOM_125",
                            "CUSTOM_126",
                            "CUSTOM_127",
                            "CUSTOM_128",
                            "CUSTOM_129",
                            "CUSTOM_130",
                            "CUSTOM_131",
                            "CUSTOM_132",
                            "CUSTOM_133",
                            "CUSTOM_134",
                            "CUSTOM_135",
                            "CUSTOM_136",
                            "CUSTOM_137",
                            "CUSTOM_138",
                            "CUSTOM_139",
                            "CUSTOM_140",
                            "CUSTOM_141",
                            "CUSTOM_142",
                            "CUSTOM_143",
                            "CUSTOM_144",
                            "CUSTOM_145",
                            "CUSTOM_146",
                            "CUSTOM_147",
                            "CUSTOM_148",
                            "CUSTOM_149",
                            "CUSTOM_150",
                            "CUSTOM_151",
                            "CUSTOM_152",
                            "CUSTOM_153",
                            "CUSTOM_154",
                            "CUSTOM_155",
                            "CUSTOM_156",
                            "CUSTOM_157",
                            "CUSTOM_158",
                            "CUSTOM_159",
                            "CUSTOM_160",
                            "CUSTOM_161",
                            "CUSTOM_162",
                            "CUSTOM_163",
                            "CUSTOM_164",
                            "CUSTOM_165",
                            "CUSTOM_166",
                            "CUSTOM_167",
                            "CUSTOM_168",
                            "CUSTOM_169",
                            "CUSTOM_170",
                            "CUSTOM_171",
                            "CUSTOM_172",
                            "CUSTOM_173",
                            "CUSTOM_174",
                            "CUSTOM_175",
                            "CUSTOM_176",
[...]
